in scala.xml
class Group

`case class` Group
  `extends` scala.xml.Node
  `with` scala.ScalaObject
  `with` scala.Product1[scala.Seq[scala.xml.Node]]

  A hack to group XML nodes in one node for output.

Author:
  Burak Emir
Version:
  1.0

Constructor Summary
| `def` this (nodes: scala.Seq[scala.xml.Node])

Val Summary
| `val` nodes : scala.Seq[scala.xml.Node]

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` _1 : scala.Seq[scala.xml.Node]
`final` `override` | `def` attributes : scala.Nothing
`final` `override` | `def` child : scala.Nothing
`override` | `def` equals (x: scala.Any) : scala.Boolean structural equality
`override` | `def` hashCode : scala.Int
`final` | `def` label : scala.Nothing
`final` `override` | `def` namespace : scala.Nothing
`final` `override` | `def` productPrefix : java.lang.String
`override` | `def` text : java.lang.String
`override` | `def` theSeq : scala.Seq[scala.xml.Node]
| `def` toString (sb: scala.compat.StringBuilder) : scala.Nothing

Def inherited from scala.xml.Node
attribute , attribute, attributes, child, descendant, descendant_or_self, equals, getNamespace, hashCode, label, nameToString, namespace, prefix, scope, text, theSeq, toString, toString, typeTag$, xmlType

Def inherited from scala.Product1[scala.Seq[scala.xml.Node]]
_1 , arity, element

Constructor Detail

`def` this (nodes: scala.Seq[scala.xml.Node])

Val Detail

`val` nodes : scala.Seq[scala.xml.Node]

Def Detail

`final override def` $tag : scala.Int

`final override def` _1 : scala.Seq[scala.xml.Node]

`final override def` attributes : scala.Nothing

Throws:
  `Predef.UnsupportedOperationException -` (always)

`final override def` child : scala.Nothing

Throws:
  `Predef.UnsupportedOperationException -` (always)

`override def` equals (x: scala.Any): scala.Boolean

  structural equality

`override def` hashCode : scala.Int

`final def` label : scala.Nothing

Throws:
  `Predef.UnsupportedOperationException -` (always)

`final override def` namespace : scala.Nothing

Throws:
  `Predef.UnsupportedOperationException -` (always)

`final override def` productPrefix : java.lang.String

`override def` text : java.lang.String

`override def` theSeq : scala.Seq[scala.xml.Node]

`def` toString (sb: scala.compat.StringBuilder): scala.Nothing

Throws:
  `Predef.UnsupportedOperationException -` (always)